# Visualization Library

A lightweight C++ OpenGL middleware for 2D/3D graphics

[Home] [Tutorials] [All Classes] [Grouped Classes]

Public Member Functions | Protected Attributes

# vl::DepthRange Class Reference

RenderState wrapping the OpenGL function glDepthRange(), see also http://www.opengl.org/sdk/docs/man/xhtml/glDepthRange.xml for more information. More...

`#include <Shader.hpp>`

Inheritance diagram for vl::DepthRange:

List of all members.

## Public Member Functions

| DepthRange ()
| DepthRange (float znear, float zfar)
virtual ERenderState | type () const
virtual void | apply (int index, const Camera *, OpenGLContext *ctx) const
| The parameter cameara is NULL if we are disabling the state, non-NULL if we are enabling it.
void | set (float znear, float zfar)
void | setZNear (float znear)
void | setZFar (float zfar)
float | zNear () const
float | zFar () const
virtual ref< RenderState > | clone () const

## Protected Attributes

float | mZNear
float | mZFar

## Detailed Description

RenderState wrapping the OpenGL function glDepthRange(), see also http://www.opengl.org/sdk/docs/man/xhtml/glDepthRange.xml for more information.

See also:
  Shader, Effect, Actor, vl::EN_DEPTH_TEST

Definition at line 1038 of file Shader.hpp.

## Constructor & Destructor Documentation

vl::DepthRange::DepthRange | ( | ) | `[inline]`

Definition at line 1043 of file Shader.hpp.

References VL_DEBUG_SET_OBJECT_NAME.

vl::DepthRange::DepthRange | ( | float | znear,
|  | float | zfar
| ) |  | `[inline]`

Definition at line 1048 of file Shader.hpp.

References VL_DEBUG_SET_OBJECT_NAME.

## Member Function Documentation

virtual ERenderState vl::DepthRange::type | ( | ) | const`[inline, virtual]`

Reimplemented from vl::RenderState.

Definition at line 1053 of file Shader.hpp.

References vl::RS_DepthRange.

void DepthRange::apply | ( | int | index,
|  | const Camera * | camera,
|  | OpenGLContext * | ctx
| ) |  | const`[virtual]`

The parameter cameara is NULL if we are disabling the state, non-NULL if we are enabling it.

Implements vl::RenderState.

Definition at line 567 of file Shader.cpp.

References mZFar, mZNear, and VL_CHECK_OGL.

void vl::DepthRange::set | ( | float | znear,
|  | float | zfar
| ) |  | `[inline]`

Definition at line 1057 of file Shader.hpp.

void vl::DepthRange::setZNear | ( | float | znear ) | `[inline]`

Definition at line 1059 of file Shader.hpp.

void vl::DepthRange::setZFar | ( | float | zfar ) | `[inline]`

Definition at line 1061 of file Shader.hpp.

float vl::DepthRange::zNear | ( | ) | const`[inline]`

Definition at line 1063 of file Shader.hpp.

float vl::DepthRange::zFar | ( | ) | const`[inline]`

Definition at line 1065 of file Shader.hpp.

virtual ref<RenderState> vl::DepthRange::clone | ( | ) | const`[inline, virtual]`

Implements vl::RenderState.

Definition at line 1067 of file Shader.hpp.

## Member Data Documentation

float vl::DepthRange::mZNear`[protected]`

Definition at line 1075 of file Shader.hpp.

Referenced by apply().

float vl::DepthRange::mZFar`[protected]`

Definition at line 1076 of file Shader.hpp.

Referenced by apply().

The documentation for this class was generated from the following files:

- D:/VL/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vlGraphics/Shader.hpp
- D:/VL/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vlGraphics/Shader.cpp

Visualization Library v2011.09.1162 Reference Documentation
Copyright 2005-2011 Michele Bosi. All rights reserved.
Updated on Thu Jan 26 2012 00:44:52.
Permission is granted to use this page to write and publish articles regarding Visualization Library.